cascading.flow.tez.planner.rule.expression

## Class BalanceSplitSplitToStreamedHashJoinExpression

- java.lang.Object
- - cascading.flow.planner.rule.RuleExpression
  - - cascading.flow.tez.planner.rule.expression.BalanceSplitSplitToStreamedHashJoinExpression

    public class BalanceSplitSplitToStreamedHashJoinExpression
    extends RuleExpression

### Field Summary

Fields
`static FlowElementExpression` `SHARED_HASHJOIN`

### Fields inherited from class cascading.flow.planner.rule.RuleExpression

`contractedMatchExpression, contractionExpression, matchExpression`

### Constructor Summary

Constructors
Constructor and Description
`BalanceSplitSplitToStreamedHashJoinExpression()`

### Method Summary

### Methods inherited from class cascading.flow.planner.rule.RuleExpression

`getContractedMatchExpression, getContractionExpression, getExpressionName, getMatchExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SHARED_HASHJOIN

    public static final FlowElementExpression SHARED_HASHJOIN

### Constructor Detail

#### BalanceSplitSplitToStreamedHashJoinExpression

    public BalanceSplitSplitToStreamedHashJoinExpression()